<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html" />

    <xsl:template match="message">
        <div>
            <span>
                <xsl:value-of select="username" />
                (
                <xsl:value-of select="sentAt" />
                ):
            </span>
            <p>
                <xsl:value-of select="content" />
                <xsl:if test="@edited='true'">
                    <small>edited</small>
                </xsl:if>
            </p>
            <xsl:apply-templates select="replies/message" />
        </div>
    </xsl:template>

</xsl:stylesheet>