<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html" />
    <xsl:include href="message.xsl" />

    <xsl:template match="server">
        <div>
            <h3>
                <xsl:value-of select="@name" />
            </h3>
            <img alt="Server logo">
                <xsl:attribute name="src">
                    <xsl:value-of select="logo" />
                </xsl:attribute>
            </img>
            <h4>Channels</h4>
            <div>
                <xsl:apply-templates select="channels/channel" />
            </div>
        </div>
    </xsl:template>

    <xsl:template match="channel">
        <h5>
            <xsl:value-of select="@name" />
        </h5>
        <div>
            <xsl:apply-templates select="messages/message" />
        </div>
    </xsl:template>

</xsl:stylesheet>