<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html" />
    <xsl:include href="server.xsl" />

    <xsl:template match="user">
        <div>
            <img alt="User avatar">
                <xsl:attribute name="src">
                    <xsl:value-of select="avatar" />
                </xsl:attribute>
            </img>
            <h2>
                <xsl:value-of select="username" />
            </h2>
            <span>
                <xsl:value-of select="email" />
            </span>
        </div>
        <div>
            <h3>Servers:</h3>
            <xsl:apply-templates select="servers/server" />
        </div>
    </xsl:template>

</xsl:stylesheet>